/*
 *  Copyright (C) 2004 Morten Fjord-Larsen
 *
 *  $Id: passwordlist.h,v 1.1.1.1 2004/04/26 23:58:51 fjord Exp $
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PASSWORDLIST_H
#define PASSWORDLIST_H

#include "passwordfile.h"

void password_list_set_dirty(gboolean dirty);
gboolean password_list_is_dirty();
void password_list_load_password_file(const gchar *filename);
void password_list_setup(GtkWidget *treeview);
void password_list_write();
void password_list_enter(const password_file_entry *entry, gboolean edit);
void password_list_set_password(const gchar *password);
const gchar *password_list_get_password();

#endif /* PASSWORDLIST_H */
